com.holonplatform.datastore.jpa.querydsl.internal

## Class DefaultJpaUpdateClause

- java.lang.Object
- - com.holonplatform.datastore.jpa.querydsl.internal.DefaultJpaUpdateClause

- All Implemented Interfaces:
    JpaUpdateClause, com.querydsl.core.dml.DMLClause<JpaUpdateClause>, com.querydsl.core.dml.StoreClause<JpaUpdateClause>, com.querydsl.core.dml.UpdateClause<JpaUpdateClause>, com.querydsl.core.FilteredClause<JpaUpdateClause>

      public class DefaultJpaUpdateClause
      extends Object
      implements JpaUpdateClause

  Default `JpaUpdateClause` implementation.
  Since:
    5.1.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultJpaUpdateClause(com.holonplatform.datastore.jpa.context.JpaOperationContext operationContext, com.querydsl.core.types.EntityPath<?> entity)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `execute()`
    `boolean` | `isEmpty()`
    `JpaUpdateClause` | `set(List<? extends com.querydsl.core.types.Path<?>> paths, List<?> values)`
    `<T> JpaUpdateClause` | `set(com.querydsl.core.types.Path<T> path, com.querydsl.core.types.Expression<? extends T> expression)`
    `<T> JpaUpdateClause` | `set(com.querydsl.core.types.Path<T> path, T value)`
    `<T> JpaUpdateClause` | `setNull(com.querydsl.core.types.Path<T> path)`
    `JpaUpdateClause` | `where(com.querydsl.core.types.Predicate... o)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultJpaUpdateClause

          public DefaultJpaUpdateClause(com.holonplatform.datastore.jpa.context.JpaOperationContext operationContext,
                                        com.querydsl.core.types.EntityPath<?> entity)

  - ### Method Detail

    - #### set

          public JpaUpdateClause set(List<? extends com.querydsl.core.types.Path<?>> paths,
                                     List<?> values)

      Specified by:
        `set` in interface `com.querydsl.core.dml.UpdateClause<JpaUpdateClause>`

    - #### set

          public <T> JpaUpdateClause set(com.querydsl.core.types.Path<T> path,
                                         T value)

      Specified by:
        `set` in interface `com.querydsl.core.dml.StoreClause<JpaUpdateClause>`

    - #### set

          public <T> JpaUpdateClause set(com.querydsl.core.types.Path<T> path,
                                         com.querydsl.core.types.Expression<? extends T> expression)

      Specified by:
        `set` in interface `com.querydsl.core.dml.StoreClause<JpaUpdateClause>`

    - #### setNull

          public <T> JpaUpdateClause setNull(com.querydsl.core.types.Path<T> path)

      Specified by:
        `setNull` in interface `com.querydsl.core.dml.StoreClause<JpaUpdateClause>`

    - #### where

          public JpaUpdateClause where(com.querydsl.core.types.Predicate... o)

      Specified by:
        `where` in interface `com.querydsl.core.FilteredClause<JpaUpdateClause>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `com.querydsl.core.dml.StoreClause<JpaUpdateClause>`

    - #### execute

          public long execute()

      Specified by:
        `execute` in interface `com.querydsl.core.dml.DMLClause<JpaUpdateClause>`

Copyright © 2019 The Holon Platform. All rights reserved.